#!/usr/bin/python3
#coding -*-coding:Utf-8 -*

import numpy as np
import shutil # allow to copy files
import glob, os


        
def writeLin(s_file_name, s_lad1, s_lad2, s_linkUp, s_linkLo, s_freq):   
    with open(s_file_name + '.lin', 'w') as lin_file:
        shutil.copy('file.par', s_file_name + '.par')
        lin_file.write('%2s %2s %2s %2s %2s %2s %30.4f   0.050\n' %(s_lad1[1,0], s_lad1[1,1], s_lad1[1,2], s_lad1[0,0], s_lad1[0,1], s_lad1[0,2], s_freq[0]) ) 
        lin_file.write('%2s %2s %2s %2s %2s %2s %30.4f   0.050\n' %(s_lad1[2,0], s_lad1[2,1], s_lad1[2,2], s_lad1[1,0], s_lad1[1,1], s_lad1[1,2], s_freq[1]) ) 
        lin_file.write('%2s %2s %2s %2s %2s %2s %30.4f   0.050\n' %(s_lad2[1,0], s_lad2[1,1], s_lad2[1,2], s_lad2[0,0], s_lad2[0,1], s_lad2[0,2], s_freq[2]) )
        lin_file.write('%2s %2s %2s %2s %2s %2s %30.4f   0.050\n' %(s_lad2[2,0], s_lad2[2,1], s_lad2[2,2], s_lad2[1,0], s_lad2[1,1], s_lad2[1,2], s_freq[3]) )
        lin_file.write('%2s %2s %2s %2s %2s %2s %30.4f   0.050\n' %(s_linkUp[0], s_linkUp[1], s_linkUp[2], s_linkLo[0], s_linkLo[1], s_linkLo[2], s_freq[4]) )   
    lin_file.close()

def writePar(s_A, s_B, s_C):   
    with open('file.par', 'w') as par_file:
        par_file.write('U-molecule                                 Fri Oct 1Tue Jun 1Thu Mar 12 11:33:05 2015\n')
        par_file.write(' 3    5   10    0     0.0000E+00     1.0000E+06     1.0000E+00 1.0000000000\n')
        par_file.write('a     1  1   0   9   0  1   1   1   1  -1   0\n')
        par_file.write('    10000  ')
        par_file.write(str(s_A))
        par_file.write('  1.0E+10\n') 
        par_file.write('    20000  ')
        par_file.write(str(s_B))
        par_file.write('  1.0E+10\n')
        par_file.write('    30000  ')
        par_file.write(str(s_C))
        par_file.write('  1.0E+10\n')
    par_file.close()
    
def cleanPath():
    extlist = ('*.lin', '*.fit', '*.par', '*.var', '*.bak')
    for ext in extlist:
        filelist = glob.glob(ext)
        for f in filelist:
            os.remove(f)

def cleanPathPartly():
    extlist = ('*.lin', '*.par', '*.var', '*.bak')
    for ext in extlist:
        filelist = glob.glob(ext)
        for f in filelist:
            os.remove(f)